clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::clangd::BackgroundIndexRebuilder Class Reference

`#include <BackgroundRebuild.h>`

Collaboration diagram for clang::clangd::BackgroundIndexRebuilder:
[legend]

## Public Member Functions
| BackgroundIndexRebuilder (SwapIndex *Target, FileSymbols *Source, unsigned Threads)
void | indexedTU ()
void | idle ()
void | startLoading ()
void | loadedShard (size_t ShardCount)
void | doneLoading ()
void | shutdown ()

## Public Attributes
const unsigned | TUsBeforeFirstBuild
const unsigned | TUsBeforeRebuild = 100

## Detailed Description

Definition at line 48 of file BackgroundRebuild.h.

## Constructor & Destructor Documentation

## ◆ BackgroundIndexRebuilder()

clang::clangd::BackgroundIndexRebuilder::BackgroundIndexRebuilder | ( | SwapIndex * | Target,
|  | FileSymbols * | Source,
|  | unsigned | Threads
| ) |  |
| inline

Definition at line 50 of file BackgroundRebuild.h.

References doneLoading(), idle(), indexedTU(), loadedShard(), shutdown(), and startLoading().

## Member Function Documentation

## ◆ doneLoading()

void clang::clangd::BackgroundIndexRebuilder::doneLoading | ( |  | ) |

Definition at line 89 of file BackgroundRebuild.cpp.

Referenced by BackgroundIndexRebuilder().

## ◆ idle()

void clang::clangd::BackgroundIndexRebuilder::idle | ( |  | ) |

Definition at line 70 of file BackgroundRebuild.cpp.

Referenced by BackgroundIndexRebuilder().

## ◆ indexedTU()

void clang::clangd::BackgroundIndexRebuilder::indexedTU | ( |  | ) |

Definition at line 59 of file BackgroundRebuild.cpp.

Referenced by BackgroundIndexRebuilder().

## ◆ loadedShard()

void clang::clangd::BackgroundIndexRebuilder::loadedShard | ( | size_t | ShardCount | ) |

Definition at line 84 of file BackgroundRebuild.cpp.

Referenced by BackgroundIndexRebuilder().

## ◆ shutdown()

void clang::clangd::BackgroundIndexRebuilder::shutdown | ( |  | ) |

Definition at line 100 of file BackgroundRebuild.cpp.

Referenced by BackgroundIndexRebuilder().

## ◆ startLoading()

void clang::clangd::BackgroundIndexRebuilder::startLoading | ( |  | ) |

Definition at line 78 of file BackgroundRebuild.cpp.

Referenced by BackgroundIndexRebuilder().

## Member Data Documentation

## ◆ TUsBeforeFirstBuild

const unsigned clang::clangd::BackgroundIndexRebuilder::TUsBeforeFirstBuild

Definition at line 74 of file BackgroundRebuild.h.

## ◆ TUsBeforeRebuild

const unsigned clang::clangd::BackgroundIndexRebuilder::TUsBeforeRebuild = 100

Definition at line 75 of file BackgroundRebuild.h.

The documentation for this class was generated from the following files:

- BackgroundRebuild.h
- BackgroundRebuild.cpp